summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorErik Mackdanz <stasibear@gentoo.org>2016-04-02 11:03:46 -0500
committerErik Mackdanz <stasibear@gentoo.org>2016-04-02 11:03:46 -0500
commit1b09d9fca908fb94df2279400169be39b66a1e22 (patch)
tree09e1a221859fdb21268fb50c197288178654beee /sys-fs/lxcfs/files
parentapp-admin/collectd: do not RDEPEND on libtool but rather on libltdl. (diff)
downloadgentoo-1b09d9fca908fb94df2279400169be39b66a1e22.tar.gz
gentoo-1b09d9fca908fb94df2279400169be39b66a1e22.tar.bz2
gentoo-1b09d9fca908fb94df2279400169be39b66a1e22.zip
sys-fs/lxcfs: bump to 2.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'sys-fs/lxcfs/files')
-rw-r--r--sys-fs/lxcfs/files/lxcfs-2.0.0.initd27
1 files changed, 27 insertions, 0 deletions
diff --git a/sys-fs/lxcfs/files/lxcfs-2.0.0.initd b/sys-fs/lxcfs/files/lxcfs-2.0.0.initd
new file mode 100644
index 000000000000..a85021401a7d
--- /dev/null
+++ b/sys-fs/lxcfs/files/lxcfs-2.0.0.initd
@@ -0,0 +1,27 @@
+#!/sbin/runscript
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=/usr/bin/lxcfs
+PIDFILE=/run/lxcfs.pid
+
+start() {
+ ebegin "Starting lxcfs"
+
+ start-stop-daemon --start \
+ --pidfile ${PIDFILE} \
+ --exec ${DAEMON} \
+ --background \
+ --make-pidfile \
+ -- \
+ -f -o allow_other /var/lib/lxcfs
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping lxcfs"
+ start-stop-daemon --stop --quiet -R TERM/45 -p ${PIDFILE}
+ eend $?
+}